summaryrefslogtreecommitdiffstats
path: root/desktop/synce-hal
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/synce-hal')
-rw-r--r--desktop/synce-hal/README13
-rw-r--r--desktop/synce-hal/slack-desc19
-rw-r--r--desktop/synce-hal/synce-hal.SlackBuild75
-rw-r--r--desktop/synce-hal/synce-hal.info8
4 files changed, 115 insertions, 0 deletions
diff --git a/desktop/synce-hal/README b/desktop/synce-hal/README
new file mode 100644
index 0000000000..5b4cf6c8f6
--- /dev/null
+++ b/desktop/synce-hal/README
@@ -0,0 +1,13 @@
+Synce-hal is a connection framework and dccm-implementation
+for Windows Mobile devices that integrates with HAL.
+
+For usb connections, most devices should be autodetected, if yours is not,
+please inform the synce project and we'll fix it ! Both WM5/6 and older
+style devices are fully supported. If you want to connect WM5/6 over rndis
+(advanced network functionality), the rndis_host module in the kernel is
+reasonable from 2.6.24 or 2.6.26, depending on the distribution. Otherwise
+you will need to install the usb-rndis-lite modules. Rndis connections will
+attempt to use dhcp, only falling back to a static configuration if that is
+unsuccessful.
+
+This requires libsynce, odccm, and librapi2.
diff --git a/desktop/synce-hal/slack-desc b/desktop/synce-hal/slack-desc
new file mode 100644
index 0000000000..104e2698af
--- /dev/null
+++ b/desktop/synce-hal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+synce-hal: synce-hal (SynCE connection framework)
+synce-hal:
+synce-hal: Synce-hal is a connection framework and dccm-implementation for
+synce-hal: Windows Mobile devices that integrates with HAL.
+synce-hal:
+synce-hal: Please visit the SynCE website for more information:
+synce-hal:
+synce-hal: Homepage: http://www.synce.org/
+synce-hal:
+synce-hal:
+synce-hal:
diff --git a/desktop/synce-hal/synce-hal.SlackBuild b/desktop/synce-hal/synce-hal.SlackBuild
new file mode 100644
index 0000000000..a1e8b99857
--- /dev/null
+++ b/desktop/synce-hal/synce-hal.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+# Slackware build script for synce-hal
+# Written by Lionel Young (redtricycle@gmail.com)
+
+PRGNAM=synce-hal
+VERSION=${VERSION:-0.13.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/synce-hal/synce-hal.info b/desktop/synce-hal/synce-hal.info
new file mode 100644
index 0000000000..04e7db510c
--- /dev/null
+++ b/desktop/synce-hal/synce-hal.info
@@ -0,0 +1,8 @@
+PRGNAM="synce-hal"
+VERSION="0.13.1"
+HOMEPAGE="http://www.synce.org"
+DOWNLOAD="http://downloads.sourceforge.net/synce/synce-hal-0.13.1.tar.gz"
+MD5SUM="bf5d36ed73d6db6bdb310410c294a124"
+MAINTAINER="Lionel Young"
+EMAIL="redtricycle@gmail.com"
+APPROVED="rworkman"